Package com.google.protobuf

## Enum DescriptorProtos.FieldDescriptorProto.Type

- java.lang.Object
- - java.lang.Enum<DescriptorProtos.FieldDescriptorProto.Type>
  - - com.google.protobuf.DescriptorProtos.FieldDescriptorProto.Type

All Implemented Interfaces:
  `Internal.EnumLite`, `ProtocolMessageEnum`, `java.io.Serializable`, `java.lang.Comparable<DescriptorProtos.FieldDescriptorProto.Type>`

Enclosing class:
  DescriptorProtos.FieldDescriptorProto

    public static enum DescriptorProtos.FieldDescriptorProto.Type
    extends java.lang.Enum<DescriptorProtos.FieldDescriptorProto.Type>
    implements ProtocolMessageEnum

Protobuf enum `google.protobuf.FieldDescriptorProto.Type`

### Enum Constant Summary

Enum Constants
`TYPE_BOOL` `TYPE_BOOL = 8;`
`TYPE_BYTES` `TYPE_BYTES = 12;`
`TYPE_DOUBLE` `TYPE_DOUBLE = 1;`
`TYPE_ENUM` `TYPE_ENUM = 14;`
`TYPE_FIXED32` `TYPE_FIXED32 = 7;`
`TYPE_FIXED64` `TYPE_FIXED64 = 6;`
`TYPE_FLOAT` `TYPE_FLOAT = 2;`
`TYPE_GROUP` `TYPE_GROUP = 10;`
`TYPE_INT32` `TYPE_INT32 = 5;`
`TYPE_INT64` `TYPE_INT64 = 3;`
`TYPE_MESSAGE` `TYPE_MESSAGE = 11;`
`TYPE_SFIXED32` `TYPE_SFIXED32 = 15;`
`TYPE_SFIXED64` `TYPE_SFIXED64 = 16;`
`TYPE_SINT32` `TYPE_SINT32 = 17;`
`TYPE_SINT64` `TYPE_SINT64 = 18;`
`TYPE_STRING` `TYPE_STRING = 9;`
`TYPE_UINT32` `TYPE_UINT32 = 13;`
`TYPE_UINT64` `TYPE_UINT64 = 4;`

### Field Summary

Fields
`static int` `TYPE_BOOL_VALUE` `TYPE_BOOL = 8;`
`static int` `TYPE_BYTES_VALUE` `TYPE_BYTES = 12;`
`static int` `TYPE_DOUBLE_VALUE` `TYPE_DOUBLE = 1;`
`static int` `TYPE_ENUM_VALUE` `TYPE_ENUM = 14;`
`static int` `TYPE_FIXED32_VALUE` `TYPE_FIXED32 = 7;`
`static int` `TYPE_FIXED64_VALUE` `TYPE_FIXED64 = 6;`
`static int` `TYPE_FLOAT_VALUE` `TYPE_FLOAT = 2;`
`static int` `TYPE_GROUP_VALUE` `TYPE_GROUP = 10;`
`static int` `TYPE_INT32_VALUE` `TYPE_INT32 = 5;`
`static int` `TYPE_INT64_VALUE` `TYPE_INT64 = 3;`
`static int` `TYPE_MESSAGE_VALUE` `TYPE_MESSAGE = 11;`
`static int` `TYPE_SFIXED32_VALUE` `TYPE_SFIXED32 = 15;`
`static int` `TYPE_SFIXED64_VALUE` `TYPE_SFIXED64 = 16;`
`static int` `TYPE_SINT32_VALUE` `TYPE_SINT32 = 17;`
`static int` `TYPE_SINT64_VALUE` `TYPE_SINT64 = 18;`
`static int` `TYPE_STRING_VALUE` `TYPE_STRING = 9;`
`static int` `TYPE_UINT32_VALUE` `TYPE_UINT32 = 13;`
`static int` `TYPE_UINT64_VALUE` `TYPE_UINT64 = 4;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Descriptors.EnumDescriptor` `getDescriptor()`
`Descriptors.EnumDescriptor` `getDescriptorForType()` Return the enum type's descriptor, which contains information about each defined value, etc.
`int` `getNumber()` Return the value's numeric value as defined in the .proto file.
`Descriptors.EnumValueDescriptor` `getValueDescriptor()` Return the value's descriptor, which contains information such as value name, number, and type.
`static Internal.EnumLiteMap<DescriptorProtos.FieldDescriptorProto.Type>` `internalGetValueMap()`
`static DescriptorProtos.FieldDescriptorProto.Type` `valueOf​(int value)` Returns the enum constant of this type with the specified name.
`static DescriptorProtos.FieldDescriptorProto.Type` `valueOf​(Descriptors.EnumValueDescriptor desc)` Returns the enum constant of this type with the specified name.
`static DescriptorProtos.FieldDescriptorProto.Type` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DescriptorProtos.FieldDescriptorProto.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TYPE_DOUBLE

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_DOUBLE

`TYPE_DOUBLE = 1;`

     0 is reserved for errors.
     Order is weird for historical reasons.

#### TYPE_FLOAT

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_FLOAT

`TYPE_FLOAT = 2;`

#### TYPE_INT64

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_INT64

`TYPE_INT64 = 3;`

     Not ZigZag encoded.  Negative numbers take 10 bytes.  Use TYPE_SINT64 if
     negative values are likely.

#### TYPE_UINT64

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_UINT64

`TYPE_UINT64 = 4;`

#### TYPE_INT32

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_INT32

`TYPE_INT32 = 5;`

     Not ZigZag encoded.  Negative numbers take 10 bytes.  Use TYPE_SINT32 if
     negative values are likely.

#### TYPE_FIXED64

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_FIXED64

`TYPE_FIXED64 = 6;`

#### TYPE_FIXED32

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_FIXED32

`TYPE_FIXED32 = 7;`

#### TYPE_BOOL

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_BOOL

`TYPE_BOOL = 8;`

#### TYPE_STRING

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_STRING

`TYPE_STRING = 9;`

#### TYPE_GROUP

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_GROUP

`TYPE_GROUP = 10;`

     Tag-delimited aggregate.

#### TYPE_MESSAGE

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_MESSAGE

`TYPE_MESSAGE = 11;`

     Length-delimited aggregate.

#### TYPE_BYTES

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_BYTES

`TYPE_BYTES = 12;`

     New in version 2.

#### TYPE_UINT32

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_UINT32

`TYPE_UINT32 = 13;`

#### TYPE_ENUM

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_ENUM

`TYPE_ENUM = 14;`

#### TYPE_SFIXED32

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_SFIXED32

`TYPE_SFIXED32 = 15;`

#### TYPE_SFIXED64

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_SFIXED64

`TYPE_SFIXED64 = 16;`

#### TYPE_SINT32

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_SINT32

`TYPE_SINT32 = 17;`

     Uses ZigZag encoding.

#### TYPE_SINT64

    public static final DescriptorProtos.FieldDescriptorProto.Type TYPE_SINT64

`TYPE_SINT64 = 18;`

     Uses ZigZag encoding.

### Field Detail

#### TYPE_DOUBLE_VALUE

    public static final int TYPE_DOUBLE_VALUE

`TYPE_DOUBLE = 1;`

     0 is reserved for errors.
     Order is weird for historical reasons.

See Also:
  Constant Field Values

#### TYPE_FLOAT_VALUE

    public static final int TYPE_FLOAT_VALUE

`TYPE_FLOAT = 2;`

See Also:
  Constant Field Values

#### TYPE_INT64_VALUE

    public static final int TYPE_INT64_VALUE

`TYPE_INT64 = 3;`

     Not ZigZag encoded.  Negative numbers take 10 bytes.  Use TYPE_SINT64 if
     negative values are likely.

See Also:
  Constant Field Values

#### TYPE_UINT64_VALUE

    public static final int TYPE_UINT64_VALUE

`TYPE_UINT64 = 4;`

See Also:
  Constant Field Values

#### TYPE_INT32_VALUE

    public static final int TYPE_INT32_VALUE

`TYPE_INT32 = 5;`

     Not ZigZag encoded.  Negative numbers take 10 bytes.  Use TYPE_SINT32 if
     negative values are likely.

See Also:
  Constant Field Values

#### TYPE_FIXED64_VALUE

    public static final int TYPE_FIXED64_VALUE

`TYPE_FIXED64 = 6;`

See Also:
  Constant Field Values

#### TYPE_FIXED32_VALUE

    public static final int TYPE_FIXED32_VALUE

`TYPE_FIXED32 = 7;`

See Also:
  Constant Field Values

#### TYPE_BOOL_VALUE

    public static final int TYPE_BOOL_VALUE

`TYPE_BOOL = 8;`

See Also:
  Constant Field Values

#### TYPE_STRING_VALUE

    public static final int TYPE_STRING_VALUE

`TYPE_STRING = 9;`

See Also:
  Constant Field Values

#### TYPE_GROUP_VALUE

    public static final int TYPE_GROUP_VALUE

`TYPE_GROUP = 10;`

     Tag-delimited aggregate.

See Also:
  Constant Field Values

#### TYPE_MESSAGE_VALUE

    public static final int TYPE_MESSAGE_VALUE

`TYPE_MESSAGE = 11;`

     Length-delimited aggregate.

See Also:
  Constant Field Values

#### TYPE_BYTES_VALUE

    public static final int TYPE_BYTES_VALUE

`TYPE_BYTES = 12;`

     New in version 2.

See Also:
  Constant Field Values

#### TYPE_UINT32_VALUE

    public static final int TYPE_UINT32_VALUE

`TYPE_UINT32 = 13;`

See Also:
  Constant Field Values

#### TYPE_ENUM_VALUE

    public static final int TYPE_ENUM_VALUE

`TYPE_ENUM = 14;`

See Also:
  Constant Field Values

#### TYPE_SFIXED32_VALUE

    public static final int TYPE_SFIXED32_VALUE

`TYPE_SFIXED32 = 15;`

See Also:
  Constant Field Values

#### TYPE_SFIXED64_VALUE

    public static final int TYPE_SFIXED64_VALUE

`TYPE_SFIXED64 = 16;`

See Also:
  Constant Field Values

#### TYPE_SINT32_VALUE

    public static final int TYPE_SINT32_VALUE

`TYPE_SINT32 = 17;`

     Uses ZigZag encoding.

See Also:
  Constant Field Values

#### TYPE_SINT64_VALUE

    public static final int TYPE_SINT64_VALUE

`TYPE_SINT64 = 18;`

     Uses ZigZag encoding.

See Also:
  Constant Field Values

### Method Detail

#### values

    public static DescriptorProtos.FieldDescriptorProto.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DescriptorProtos.FieldDescriptorProto.Type c : DescriptorProtos.FieldDescriptorProto.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DescriptorProtos.FieldDescriptorProto.Type valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Description copied from interface: `ProtocolMessageEnum`
Return the value's numeric value as defined in the .proto file.

Specified by:
  `getNumber` in interface `Internal.EnumLite`
Specified by:
  `getNumber` in interface `ProtocolMessageEnum`

#### valueOf

    public static DescriptorProtos.FieldDescriptorProto.Type valueOf​(int value)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### internalGetValueMap

    public static Internal.EnumLiteMap<DescriptorProtos.FieldDescriptorProto.Type> internalGetValueMap()

#### getValueDescriptor

    public final Descriptors.EnumValueDescriptor getValueDescriptor()

Description copied from interface: `ProtocolMessageEnum`
Return the value's descriptor, which contains information such as value name, number, and type.

Specified by:
  `getValueDescriptor` in interface `ProtocolMessageEnum`

#### getDescriptorForType

    public final Descriptors.EnumDescriptor getDescriptorForType()

Description copied from interface: `ProtocolMessageEnum`
Return the enum type's descriptor, which contains information about each defined value, etc.

Specified by:
  `getDescriptorForType` in interface `ProtocolMessageEnum`

#### getDescriptor

    public static final Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static DescriptorProtos.FieldDescriptorProto.Type valueOf​(Descriptors.EnumValueDescriptor desc)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null